Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfDataSourceHasLabelsType

    java.lang.Object
      java.lang.Enum<OdfDataSourceHasLabelsType>
          org.odftoolkit.odfdom.dom.type.chart.OdfDataSourceHasLabelsType

All Implemented Interfaces:
  Serializable, Comparable<OdfDataSourceHasLabelsType>

    public enum OdfDataSourceHasLabelsType

extends Enum<OdfDataSourceHasLabelsType>

DOM implementation of OpenDocument attribute chart:data-source-has-labels.

Enum Constant Summary
`BOTH`
`COLUMN`
`NONE`
`ROW`

Method Summary
`static OdfDataSourceHasLabelsType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfDataSourceHasLabelsType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfDataSourceHasLabelsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfDataSourceHasLabelsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROW

    public static final OdfDataSourceHasLabelsType ROW

### NONE

    public static final OdfDataSourceHasLabelsType NONE

### COLUMN

    public static final OdfDataSourceHasLabelsType COLUMN

### BOTH

    public static final OdfDataSourceHasLabelsType BOTH

Method Detail

### values

    public static OdfDataSourceHasLabelsType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfDataSourceHasLabelsType c : OdfDataSourceHasLabelsType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfDataSourceHasLabelsType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfDataSourceHasLabelsType>`
  Returns:
    return the name of OdfDataSourceHasLabelsType

### toString

    public static String toString(OdfDataSourceHasLabelsType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfDataSourceHasLabelsType, see chart:data-source-has-labels
  Returns:
    return the name of OdfDataSourceHasLabelsType

### enumValueOf

    public static OdfDataSourceHasLabelsType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfDataSourceHasLabelsType
  Returns:
    return the constant of OdfDataSourceHasLabelsType, see chart:data-source-has-labels

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.